Page MenuHomePhabricator

LoginNotify checks should be asynchronous
Closed, ResolvedPublic5 Story Points

Description

In my admittedly unscientific testing, logging in an account present on every wiki takes ~5 seconds from enwiki and 8-9 seconds on testwiki. The difference is likely due to LoginNotify (specifically, it calling the brutally slow CentralAuthUser::queryAttached). The solution would be to move processing of failed logins to job queue.

Event Timeline

MaxSem created this task.Jun 12 2017, 8:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2017, 8:30 PM

Let's make the cross-wiki checks happen in a deferred Job Queue job.

kaldari triaged this task as High priority.Jun 13 2017, 11:22 PM
kaldari set the point value for this task to 5.
MaxSem claimed this task.Jun 23 2017, 10:55 PM
MaxSem moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 360787 had a related patch set uploaded (by Legoktm; owner: MaxSem):
[mediawiki/extensions/LoginNotify@master] Move expensive processing into job queue

https://gerrit.wikimedia.org/r/360787

Niharika closed this task as Resolved.Jul 11 2017, 10:13 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Jul 18 2017, 10:46 PM